## userconfig 0.9.0

=== CMakeLists.txt ===
# search packages used by KDE
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} )

INCLUDE(PythonMacros)

macro_optional_find_package(PythonLibrary)
macro_optional_find_package(SIP)

macro_optional_find_package(PyQt4)
IF(NOT PYQT4_FOUND)
    macro_log_feature(PYQT4_FOUND "PyQt4" "PyQt4 was not found.  It is needed by userconfig to run. (Use -DINSTALL_USERCONFIG=TRUE to install anyway)" "http://www.riverbankcomputing.co.uk/pyqt/" FALSE)
ENDIF(NOT PYQT4_FOUND)

macro_optional_find_package(PyKDE4)
IF(NOT PYKDE4_FOUND)
    macro_log_feature(PYKDE_FOUND "PyKDE4" "PyKDE4 was not found.  It is needed by userconfig to run.  (Use -DINSTALL_USERCONFIG=TRUE to install anyway)" "http://websvn.kde.org/trunk/KDE/kdebindings/python/pykde4/" FALSE)
ENDIF(NOT PYKDE4_FOUND)

IF(PYQT4_FOUND AND PYKDE4_FOUND)
    SET(INSTALL_USERCONFIG TRUE)
ENDIF(PYQT4_FOUND AND PYKDE4_FOUND)

IF(INSTALL_USERCONFIG)
    install ( FILES
        __init__.py
        userconfig.py
        user_dialogs.py
        group_dialogs.py
        models.py
        DESTINATION ${DATA_INSTALL_DIR}/userconfig/ )
    install (FILES
        util/__init__.py
        util/unixauthdb.py
        DESTINATION ${DATA_INSTALL_DIR}/userconfig/util/ )
    install( FILES
        ui/deleteuser.ui
        ui/groups.ui
        ui/overwritehomedirectory.ui
        ui/userproperties-details.ui
        ui/userproperties-privgroups.ui
        ui/userproperties-pwsec.ui
        ui/users.ui
        DESTINATION ${DATA_INSTALL_DIR}/userconfig/ui/ )
    install(FILES userconfig.desktop DESTINATION ${SERVICES_INSTALL_DIR})
    KDE4_CREATE_HANDBOOK( doc/userconfig/index.docbook )
    install(FILES
        doc/userconfig/index.docbook
        ${CMAKE_CURRENT_BINARY_DIR}/index.cache.bz2
        DESTINATION ${HTML_INSTALL_DIR}/en/userconfig/ )
ENDIF(INSTALL_USERCONFIG)
find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)

macro_display_feature_log()

=== debian/changelog ===
userconfig (0.9.0-0ubuntu7) maverick; urgency=low

  * Rebuild to fix .desktop translations

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Aug 2010 14:45:15 +0100

userconfig (0.9.0-0ubuntu6) maverick; urgency=low

  * Build-depend on python-kde4 as it isn't pulled in by python-kde4-dev
    anymore. (LP: #602129)

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 02 Aug 2010 15:15:33 +0200

userconfig (0.9.0-0ubuntu5) maverick; urgency=low

  * Change category to system-administration, no more in lost+found
  * make default groups match ubuntu default groups, remove audio and
    video, add sambashare

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 14 Jun 2010 18:12:38 +0100

userconfig (0.9.0-0ubuntu4) maverick; urgency=low

  * Add explicit build-depend on cmake since kdelibs5-dev no longer depends on
    it

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 18 May 2010 20:23:02 -0400

userconfig (0.9.0-0ubuntu3) karmic; urgency=low

  * Translation fixes, use correct translation catalogue, include .ui
    files in .pot templates and add the magic to make it use i18n when
    loading .ui files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 23 Oct 2009 19:21:04 +0100

userconfig (0.9.0-0ubuntu2) karmic; urgency=low

  * Set Priority to optional.
  * Remove tab in changelog.
  * Pass /usr/share/kde4/apps/userconfig to dh_pysupport to pick up the private
    module dir.
  * Pass -p$(cdbs_curpkg) to dh_pysupport.
  * Add an explicit dep on python-qt4 as this is imported directly.
  * Add XS/XB-Python-Version.
  * Add ${python:Depends} and drop ${shlibs:Depends}.

 -- Loïc Minier <loic.minier@ubuntu.com>  Fri, 04 Sep 2009 12:28:35 +0200

userconfig (0.9.0-0ubuntu1) karmic; urgency=low

  [ Jonathan Riddell ]
  * Initial package (LP: #420553)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 01 Sep 2009 19:31:06 -0400

=== debian/control ===
Source: userconfig
Section: admin
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 7), cdbs, pkg-kde-tools, cmake, kdelibs5-dev,
 python-support, python-qt4-dev, python-kde4-dev, python-kde4
Standards-Version: 3.8.4
Homepage: https://code.launchpad.net/~kubuntu-members/guidance/userconfig-kde4
XS-Python-Version: >= 2.5

Package: userconfig
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 python-kde4, python-qt4
XB-Python-Version: ${python:Versions}
Description: user and group setup tool for KDE
 A System Settings module for managing users and groups on your system.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/pkg-kde-tools/makefiles/1/cdbs/kde.mk

binary-install/userconfig::
	dh_pysupport -p$(cdbs_curpkg) /usr/share/kde4/apps/userconfig
